# vim: set sw=4 ts=4 et nu:
#
# spec file for package python-apsw
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-apsw
Version:        3.7.17_r1
Release:        7.5
%define pkg_version 3.7.17-r1
%define sqlite_version 3.7.17
Summary:        Another Python SQLite Wrapper
License:        Zlib
Group:          Development/Libraries/Python
Source:         http://apsw.googlecode.com/files/apsw-%{pkg_version}.zip
Url:            http://code.google.com/p/apsw/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc
BuildRequires:  glibc-devel
BuildRequires:  libtool
BuildRequires:  make
BuildRequires:  pkgconfig
BuildRequires:  python-devel
BuildRequires:  sqlite3-devel >= %{sqlite_version}
BuildRequires:  unzip
%py_requires

%description
APSW is a Python wrapper for the SQLite embedded relational database
engine. In contrast to other wrappers such as pysqlite it focuses on
being a minimal layer over SQLite attempting just to translate the
complete SQLite API into Python.

%package doc
Summary:        Another Python SQLite Wrapper - Documentation
Group:          Development/Libraries/Python

%description doc
APSW is a Python wrapper for the SQLite embedded relational database
engine. In contrast to other wrappers such as pysqlite it focuses on
being a minimal layer over SQLite attempting just to translate the
complete SQLite API into Python.

%prep
%setup -q -n "apsw-%{pkg_version}"

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
rm -f doc/.buildinfo

install -d "%{buildroot}%{_docdir}/%{name}"
cp -a doc/* "%{buildroot}%{_docdir}/%{name}/"

%files
%defattr(-,root,root)
%doc doc/_sources/copyright.txt
%{python_sitearch}/apsw.so
%{python_sitearch}/apsw-%{version}-py%{py_ver}.egg-info
%exclude %{_docdir}/%{name}

%files doc
%defattr(-,root,root)
%dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/*
%exclude %{_docdir}/%{name}/copyright.txt

%changelog
* Tue Oct 15 2013 tchvatal@suse.com
- Downgrade to 3.7.17 so we build on 13.1 too.
* Tue Oct 15 2013 tomas.chvatal@gmail.com
- Fix file collision between doc and normal
* Mon Oct 14 2013 tchvatal@suse.com
- Version bump to 3.8.0.2-r1 to use latest sqlite queries.
- Drop the macroed commands in favor of normal ones
- Drop clean section
- Write fully what documents go where.
* Wed Oct  9 2013 hrvoje.senjan@gmail.com
- Drop unused tarballs, defines and checks for obsolete openSUSE versions
* Tue Sep  3 2013 jw@suse.com
- osc service localrun format_spec_file
  to add comments and such.
* Mon Dec 12 2011 pascal.bleser@opensuse.org
- build for all supported versions from a single spec
- link dynamically against the sqlite3 version that ships with each distro
  version, rather than using amalgamation: this is required by s3ql
* Mon Aug  9 2010 pascal.bleser@opensuse.org
- initial package (3.7.0.1-r1)
